summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2016-08-31 15:24:50 +0200
committerManuel Rüger <mrueg@gentoo.org>2016-08-31 15:24:50 +0200
commitc5a66080f9e48afd66bba4671f51d48d2d6e455d (patch)
tree83fa11c5ee8b443858c6946cf6528bfe6a4c0308
parentnet-libs/wandio: Block <net-libs/libtrace-4 (bug #592574). (diff)
downloadgentoo-c5a66080f9e48afd66bba4671f51d48d2d6e455d.tar.gz
gentoo-c5a66080f9e48afd66bba4671f51d48d2d6e455d.tar.bz2
gentoo-c5a66080f9e48afd66bba4671f51d48d2d6e455d.zip
dev-python/pytest-localserver: Version bump 0.3.6
Package-Manager: portage-2.3.0
-rw-r--r--dev-python/pytest-localserver/Manifest1
-rw-r--r--dev-python/pytest-localserver/pytest-localserver-0.3.6.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/dev-python/pytest-localserver/Manifest b/dev-python/pytest-localserver/Manifest
index 659da89d78a..0b42f344c42 100644
--- a/dev-python/pytest-localserver/Manifest
+++ b/dev-python/pytest-localserver/Manifest
@@ -1,2 +1,3 @@
DIST pytest-localserver-0.3.4.zip 28988 SHA256 9d2dc10aa2ba7e799f22e3fc133f7562c9be5be180b788f7f9dabea30a281814 SHA512 476c15d7020773b8d6a0c13ac1beea2274fc022a7089ea384f6721906f7a8339b7410ad7a5dd6817a2d6ce5dc92d3023632dff5191059bef327dbebd77a9bea7 WHIRLPOOL 158f15597057c226107430dfd6c53338086725b9642fa87cbb07bbe103d4fbd70ca9f82f4fcebd1a2d9371725f772cc3e5eead233976be2408ed7fde36c898d8
DIST pytest-localserver-0.3.5.tar.gz 18856 SHA256 97a8db7f530afdd009513ebdd86731b51e866fad82595bf92f456d93e5d57837 SHA512 937adbe450143b8ece12920d229e1559c8bcadd4ccce2103d965b92815ba4594b2e4274c6673d5e76d375d569a1c831dc480bd6b57d331b18e8a0adc5a4a1b97 WHIRLPOOL 6349448845577a86b654bc1675ec1d1ec758969d9424e8983f03ea2f3dc3ad8dc4464db1400b8b8e29130242ab2552a52b62bfaf4ccb74df9e8d5f91f042ce67
+DIST pytest-localserver-0.3.6.tar.gz 19701 SHA256 fa4e29a5eaf912055955c924652061e6eac0c13747cd6af7b119ed989fbeb03c SHA512 9b95d38769246a6639729d52c2a4280d9534ae2aa5e15ceff46e306f0fba57b7bba6ad2bd96ce6f8924efd396f2c782134b8b93f2cec52931e3bfc930c21f3d4 WHIRLPOOL baa1afc0cb07672d685cec507f2d8426b5d4280e135138d56c91e4885dca05a2b36a8d42a06851c7ad0bc4d5b15a495d3c9d1948ad3f86bed0b677b5261b2650
diff --git a/dev-python/pytest-localserver/pytest-localserver-0.3.6.ebuild b/dev-python/pytest-localserver/pytest-localserver-0.3.6.ebuild
new file mode 100644
index 00000000000..0dceaa510d1
--- /dev/null
+++ b/dev-python/pytest-localserver/pytest-localserver-0.3.6.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=(python{2_7,3_3,3_4})
+
+inherit distutils-r1
+
+DESCRIPTION="Py.test plugin to test server connections locally"
+HOMEPAGE="https://pypi.python.org/pypi/pytest-localserver"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND=">=dev-python/werkzeug-0.10[${PYTHON_USEDEP}]"
+DEPEND="test? ( ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}] )"
+
+python_test() {
+ py.test || die
+}